Appearance
Account Validation
This endpoint verifies recipient details before processing a payout, reducing transaction failures and improving accuracy.
URL: {BaseURL}/account/validate
| Field Name | Structure/Key | Type | Description |
|---|---|---|---|
| Payment Method ID | payoutMethodId | string | A Brij-generated unique ID identifying the payment method used in the transaction. |
| Account ID | accountId | string | The recipient’s account id for the payout either mobile money number, bank account ID |
💡Use this to confirm mobile money numbers or bank account information before sending funds.
php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => '{{BaseURL}}/account/validate',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS =>'{
"payoutMethodId": "Brij Payment Method ID",
"accountId": "Recipient Account ID"
}',
CURLOPT_HTTPHEADER => array(
'Accept: application/json',
'Content-Type: application/json',
'Authorization: Bearer YOUR_SECRET_KEY'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;js
var request = require('request');
var options = {
'method': 'POST',
'url': '{{BaseURL}}/account/validate',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization: Bearer YOUR_SECRET_KEY'
},
body: JSON.stringify({
"payoutMethodId": "Brij Payment Method ID",
"accountId": "Recipient Account ID"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});bash
curl --location '{{BaseURL}}/account/validate' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_KEY' \
--data '{
"payoutMethodId": "Brij Payment Method ID",
"accountId": "Recipient Account ID"
}'Response
